Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 870670 - dev-lang/gnucobol-1.1 - common.c: error: call to undeclared library function strcasecmp with
Summary: dev-lang/gnucobol-1.1 - common.c: error: call to undeclared library function ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Tupone Alfredo
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: clang-16-porting
  Show dependency tree
 
Reported: 2022-09-17 11:24 UTC by Toralf Förster
Modified: 2022-11-26 15:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.02 KB, text/plain)
2022-09-17 11:24 UTC, Toralf Förster
Details
clang.tar.bz2 (clang.tar.bz2,28.58 KB, application/x-bzip)
2022-09-17 11:24 UTC, Toralf Förster
Details
dev-lang:open-cobol-1.1:20220917-111758.log (dev-lang:open-cobol-1.1:20220917-111758.log,14.40 KB, text/plain)
2022-09-17 11:24 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,147.58 KB, text/plain)
2022-09-17 11:24 UTC, Toralf Förster
Details
environment (environment,26.79 KB, text/plain)
2022-09-17 11:24 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,8.06 KB, application/x-bzip)
2022-09-17 11:25 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,10.47 KB, application/x-bzip)
2022-09-17 11:25 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,39.47 KB, application/x-bzip)
2022-09-17 11:25 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2022-09-17 11:24:53 UTC
mkdir .libs
 clang -DHAVE_CONFIG_H -I. -I. -I.. -I.. -pipe -march=native -fno-diagnostics-color -O2 -Werror=implicit-function-declaration -Werror=implicit-int -c common.c  -fPIC -DPIC -o .libs/libcob_la-common.o
 clang -DHAVE_CONFIG_H -I. -I. -I.. -I.. -pipe -march=native -fno-diagnostics-color -O2 -Werror=implicit-function-declaration -Werror=implicit-int -c call.c  -fPIC -DPIC -o .libs/libcob_la-call.o
 clang -DHAVE_CONFIG_H -I. -I. -I.. -I.. -pipe -march=native -fno-diagnostics-color -O2 -Werror=implicit-function-declaration -Werror=implicit-int -c strings.c  -fPIC -DPIC -o .libs/libcob_la-strings.o
common.c:755:13: error: call to undeclared library function 'strcasecmp' with
      type 'int (const char *, const char *)'; ISO C99 and later do not support
      implicit function declarations [-Werror,-Wimplicit-function-declaration]

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-j4-20220915-203738

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-12.2.0 *
clang/llvm (if any):
clang version 15.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/15/bin
/usr/lib/llvm/15
15.0.0
Python 3.10.7
Available Ruby profiles:
  (none found)
Available Rust versions:
  [1]   rust-bin-1.63.0 *
The following VMs are available for generation-2:
1)	Eclipse Temurin JDK 11.0.16.1_p1 [openjdk-bin-11]
*)	Eclipse Temurin JDK 17.0.4.1_p1 [openjdk-bin-17]
3)	Eclipse Temurin JDK 8.345_p01 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8 
  [2]   openjdk-bin-11 
  [3]   openjdk-bin-17  system-vm

The Glorious Glasgow Haskell Compilation System, version 9.0.2
php cli (if any):
  [1]   php8.1 *
GNU Make 4.3.90

  HEAD of ::gentoo
commit 2be4f11d1103e9d0fe6cdcf770492a7d6c7ab1e5
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Sat Sep 17 11:01:50 2022 +0000

    2022-09-17 11:01:49 UTC

emerge -qpvO dev-lang/open-cobol
[ebuild  N    ] dev-lang/open-cobol-1.1  USE="nls readline -berkdb"
Comment 1 Toralf Förster gentoo-dev 2022-09-17 11:24:54 UTC
Created attachment 807091 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2022-09-17 11:24:55 UTC
Created attachment 807094 [details]
clang.tar.bz2
Comment 3 Toralf Förster gentoo-dev 2022-09-17 11:24:56 UTC
Created attachment 807097 [details]
dev-lang:open-cobol-1.1:20220917-111758.log
Comment 4 Toralf Förster gentoo-dev 2022-09-17 11:24:58 UTC
Created attachment 807100 [details]
emerge-history.txt
Comment 5 Toralf Förster gentoo-dev 2022-09-17 11:24:59 UTC
Created attachment 807103 [details]
environment
Comment 6 Toralf Förster gentoo-dev 2022-09-17 11:25:00 UTC
Created attachment 807106 [details]
etc.portage.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2022-09-17 11:25:01 UTC
Created attachment 807109 [details]
logs.tar.bz2
Comment 8 Toralf Förster gentoo-dev 2022-09-17 11:25:02 UTC
Created attachment 807112 [details]
temp.tar.bz2
Comment 9 Larry the Git Cow gentoo-dev 2022-11-23 18:12:49 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8af5e48621e01948cda33712c423b080f62ee957

commit 8af5e48621e01948cda33712c423b080f62ee957
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2022-11-23 18:04:53 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2022-11-23 18:12:44 +0000

    package.mask: Last rite dev-lang/open-cobol
    
    Bug: https://bugs.gentoo.org/870670
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 10 Tupone Alfredo gentoo-dev 2022-11-23 20:15:17 UTC
I suggest to use gnucobol-3.1.2 (changed name).

That version fix it.

I think that COBOL is still used a lot, and is a must to have
Comment 11 Larry the Git Cow gentoo-dev 2022-11-26 15:11:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c979aad93b44f6a31659f4a0602b8fc43fb38c6

commit 0c979aad93b44f6a31659f4a0602b8fc43fb38c6
Author:     Alfredo Tupone <tupone@gentoo.org>
AuthorDate: 2022-11-26 15:11:39 +0000
Commit:     Alfredo Tupone <tupone@gentoo.org>
CommitDate: 2022-11-26 15:11:39 +0000

    dev-lang/gnucobol: drop 1.1
    
    Closes: https://bugs.gentoo.org/870670
    Signed-off-by: Alfredo Tupone <tupone@gentoo.org>

 dev-lang/gnucobol/Manifest            |  1 -
 dev-lang/gnucobol/gnucobol-1.1.ebuild | 42 -----------------------------------
 2 files changed, 43 deletions(-)